// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdAutoIdentOnDeviceProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdAutoIdentOnDeviceProductPlugin", targets: ["WebIdAutoIdentOnDeviceProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-digital-signing-plugin-spm",
            .exact("12.4.2")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ident-scan-plugin-spm",
            .exact("13.5.2")
        ),
        .package(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-on-device-document-scanner-spm",
            .exact("13.5.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdAutoIdentOnDeviceProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdAutoIdentOnDeviceProductPlugin/14.7.0/WebIdAutoIdentOnDeviceProductPlugin.framework-v14.7.0-SNAPSHOT-1401.zip",
            checksum: "d79a86d812fa1392bcb7c3e2a1ec9305869909e9405bbef7d2c8841c203de1a0"
        ),
        .target(
            name: "WebIdAutoIdentOnDeviceProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdAutoIdentOnDeviceProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnDeviceDocumentScanner", package: "WebIdOnDeviceDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
